<?php
ob_start();
include("config.php");
	if(! check_login()) { 
	exit;
	}

?>

<html>
<head>
<title>Ultimatecrime</title>
<link rel="stylesheet" type="text/css" href="style_general.css">
</head>
<br>
<br>
<br>
<table align="center" width="600">
	<tr>
		<td class="subTitle">
		<b>Ultimatecrime - Msn invite</b>
		</td>
	</tr>
	<tr>
		<td align="center" class="mainTxt">

<?php

	if($_POST['submit'] != "Send File"){

?>

		<table width="95%" align="center">
			<tr>
				<td width="100%">
				Zit je ook op msn en denk je dat je minstens 50 email adressen hebt die niet in onze email lijst voorkomt?<br>
				Dan kun je hier voor een beloning van €500.000,- je contact personen lijst invoeren.<br><br>
				Hoe het werkt?<br><br>
				<img src="images/msn.jpg"><br>
				Je gaat naar je msn en dan klik je vervolgens op: contactpersonen -> contactpersonen lijst opslaan.<br>
				En die file upload je hier.<br><br>
				<form ENCTYPE="multipart/form-data" method="post">
				Verzend het bestand: <input NAME="userfile" type="file">
				<input type="submit" name="submit" VALUE="Send File">
				</form>
				</td>
			</tr>
		</table>

<?php

	} else if($_POST['submit'] == "Send File"){
	$file		=	$_FILES['userfile']['tmp_name'];
	$dat		=	fread(fopen($file, "r"), filesize($file));
	preg_match_all('/(\w+@\w+(?:\.\w+)+)/', $dat, $array); 
	$emails		=	$array[1];
	$ia		=	0;
	$ib		=	0;

		foreach($emails as $v){
		$dbres	=	mysql_query("SELECT * FROM `emails` WHERE `email`='$v'");
		$rijen	=	mysql_num_rows($dbres);
			if($rijen == 0){
			mysql_query("INSERT INTO `emails`(`login`,`email`) VALUES('{$data->login}','$v')");
			$ib		=	$ib+1;
			$subj		=	"Uitnodiging voor Ultimatecrime";
			$emess		=	"<html><body bgcolor=\"black\"><br><br><br><table width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><tr><td style=\"border: 1px solid #484848;\"><font style=\"font-family: Verdana; font-size: 8pt;\" color=\"#FFFFFF\"><b> » Uitnodiging</b></font><table width=\"100%\" style=\"border: 1px solid #484848;\" bgcolor=\"#333333\" cellspacing=\"0\" cellpadding=\"0\"><tr><td bgcolor=\"#333333\"><br><table width=\"90%\" align=\"center\"><tr><td width=\"100%\"><font style=\"font-family: Verdana; font-size: 8pt;\" color=\"#FFFFFF\">Hallo $v,<br>Je bent uitgenodigd om te komen kijken op www.Ultimatecrime.nl,<br>Het tegekke online gangster spel van de benelux.<br><br>Win onder andere leuke prijzen!</td></tr></table><br><br><center><img src=\"http://www.Ultimatecrime.nl/images/avater.jpg\"></center><br></font></td></tr></table></td></tr></table><br><br><center><font style=\"font-family: Verdana; font-size: 8pt;\" color=\"#FFFFFF\">© 2006-2007 Ultimatecrime. Alle Rechten Voorbehouden.</font></center><br><br></body></html>";
			$headers	=	'MIME-Version: 1.0' . "\r\n";
			$headers	.=	'Content-type: text/html; charset=iso-8859-1' . "\r\n";
			$headers	.=	"From: Ultimatecrime <{$data->email}>" . "\r\n";
			mail("$v","$subj","$emess","$headers");
			}
		$ia	=	$ia+1;
		}
	echo"Je had $ia emails geimporteerd waarvan $ib uniek zijn.<br>";
		if($ib >= 50){
		mysql_query("UPDATE `gebruiker` SET `bank`=`bank`+'500000' WHERE `login`='{$data->login}'");
		echo"Omdat je meer als 50 unieke email adressen hebt ingevoerd kreeg je er €500.000,- erbij!";
		} else {
		echo"Omdat je niet meer als 50 unieke email adressen hebt ingevoerd kreeg je niets.";
		}
	}

?>

		</td>
	</tr>
</table>
</body>
</html>